• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Which version of the Servlet and JSP spec does the exam cover?

 
Jehan Jaleel
Ranch Hand
Posts: 196
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi all,
I was told by somone who took the exam a couple of months ago that the exam covers the older JSP/Servlet specs( 1.1, 2.2).
But you site says it covers JSP 1.2 and Servlet 2.3. Does anyone know for sure which version is covered?
Also is there a big difference between the two versions? Did they change a lot?
Thanks in advance for any help,
Falc
 
Sjoerd Reitsma
Greenhorn
Posts: 5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The exam covers Servlets 2.3 and JSP 1.2.
The newer servlet API includes filters (not on the exam) and listeners (is part of the exam).
There are also changes in JSP (the Tags API, XML syntax, both on exam).
Most of the stuff is the same, but why would you study the old stuff?
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic